#include <iostream>
#include <stdio.h>
#include <math.h>

using namespace std;

int main(void)
{
//  freopen("input.txt", "r", stdin);
//  freopen("output.txt", "w", stdout);
  double s1,s2,s3;
  cin >> s1 >> s2 >> s3;
  double q = sqrt(s1)+sqrt(s2)+sqrt(s3);
  //cout << q*q;
  printf("%.10lf\n", q * q);
  return 0;
}
